Bug 27349 - Mana system preference wrong type YesNo
Summary: Mana system preference wrong type YesNo
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-06 10:39 UTC by Fridolin Somers
Modified: 2021-02-11 22:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08


Attachments
Bug 27349: Fix Mana system preference wrong type (4.02 KB, patch)
2021-01-06 10:50 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27349: Fix Mana system preference wrong type (4.07 KB, patch)
2021-01-06 11:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27349: Fix Mana system preference wrong type (4.12 KB, patch)
2021-01-08 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27349: (QA follow-up) Move DB update to perl file and add description (1.40 KB, patch)
2021-01-08 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-01-06 10:39:27 UTC
Mana system preference type 'YesNo' is wrong since it has 3 values.
Change to 'Choice'
Comment 1 Fridolin Somers 2021-01-06 10:50:55 UTC
Created attachment 114886 [details] [review]
Bug 27349: Fix Mana system preference wrong type

Mana system preference type 'YesNo' is wrong since it has 3 values.
Change to 'Choice'

Test plan :
1) Run atomic update
2) Check in database 'Mana' system preference type is 'Choice'
Comment 2 Owen Leonard 2021-01-06 11:45:58 UTC
Created attachment 114887 [details] [review]
Bug 27349: Fix Mana system preference wrong type

Mana system preference type 'YesNo' is wrong since it has 3 values.
Change to 'Choice'

Test plan :
1) Run atomic update
2) Check in database 'Mana' system preference type is 'Choice'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2021-01-08 14:38:46 UTC
Created attachment 114964 [details] [review]
Bug 27349: Fix Mana system preference wrong type

Mana system preference type 'YesNo' is wrong since it has 3 values.
Change to 'Choice'

Test plan :
1) Run atomic update
2) Check in database 'Mana' system preference type is 'Choice'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2021-01-08 14:38:49 UTC
Created attachment 114965 [details] [review]
Bug 27349: (QA follow-up) Move DB update to perl file and add description

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-11 09:30:20 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-11 12:58:39 UTC
Pushed to 20.11.x for 20.11.02
Comment 7 Andrew Fuerste-Henry 2021-01-19 22:08:47 UTC
Pushed to 20.05.x for 20.05.08
Comment 8 Victor Grousset/tuxayo 2021-01-22 01:41:53 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.